콘텐츠로 이동
로그인 가입하기

Google Maps 리뷰 API

모든 Google Maps 장소에 대한 사용자 리뷰를 추출합니다. engine=google_maps_reviews를 설정하고 Google Maps 응답에서 얻은 data_id를 전달하면 평점, 날짜, 텍스트가 포함된 구조화된 리뷰 목록을 받을 수 있습니다.

GET https://serp.shifter.io/v1?engine=google_maps_reviews&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyes사용자의 SERP API 키
enginestringyesgoogle_maps_reviews여야 합니다
data_idstringyes해당 장소의 Google Maps 데이터 ID
topic_idstringno주제 ID로 리뷰를 필터링합니다
hlstringno인터페이스 언어 코드
sort_bystringnoqualityScore, newestFirst, ratingHigh, 또는 ratingLow
next_page_tokenstringno다음 페이지를 가져오기 위한 이전 응답의 토큰
Terminal window
curl "https://serp.shifter.io/v1?engine=google_maps_reviews&api_key=YOUR_API_KEY&data_id=0x4786c6ace45fe3bd:0x126d84580eedebe5"
{
"search_parameters": {
"engine": "google_maps_reviews",
"data_id": "0x4786c6ace45fe3bd:0x126d84580eedebe5"
},
"place_info": {
"title": "Joe's Pizza",
"rating": 4.5,
"reviews": 2431
},
"reviews": [
{
"user": {
"name": "Jane Doe",
"contributor_id": "1234567890",
"reviews": 42
},
"rating": 5,
"date": "a month ago",
"snippet": "Best slice in town. Quick service and a classic NYC vibe."
}
],
"serpapi_pagination": {
"next_page_token": "CAESBkN..."
}
}